EJECT(1)

BEZEICHNUNG
eject - Wechselmedien auswerfen

ÜBERSICHT
eject -h
eject [-vnrsfmqp] [<Name>]
eject [-vn] -d
eject [-vn] -a on|off|1|0 [<Name>]
eject [-vn] -c slot [<Name>]
eject [-vn] -i on|off|1|0 [<Name>]
eject [-vn] -t [<Name>]
eject [-vn] -T [<Name>]
eject [-vn] -x <Geschwindigkeit> [<Name>]
eject [-vn] -X [<Name>]
eject -V

BESCHREIBUNG

eject ermöglicht das softwaregesteuerte Auswerfen von Wechselmedien (typischerweise CD-ROM, Diskette, Bänder, JAZ-, ZIP- oder USB-Medien). Der Befehl kann auch einige CD-ROM-Wechsler und die automatische Auswurffunktion einiger Geräte steuern sowie die Schublade einiger CD-ROM-Laufwerke schließen.

Das Gerät, das durch den <Namen> bezeichnet wird, wird ausgeworfder ein Einhängepunkt sein und entweder als vollständiger Pfad oder ohne das führende /dev, /media oder /mnt angegeben werden. Wenn kein Name angegeben wird, wird der vorgegebene Name cdrom verwendet.

Es gibt vier verschiedene Auswurfmethoden, abhängig davon, ob es sich bei dem Gerät um ein CD-ROM-Laufwerk, ein SCSI-Gerät, ein Disketten- oder ein Bandlaufwerk handelt. Standardmäßig versucht eject alle vier Methoden nacheinander, bis es Erfolg hat.

Wenn das Gerät oder die Gerätepartition eingehängt ist, wird es vor dem Auswerfen ausgehängt.

BEFEHLSZEILENOPTIONEN

-h  lässt eject eine Kurzbeschreibung der Befehlszeilenoptionen ausgeben.

-v  aktiviert den ausführlichen Modus; es werden weitere Informationen darüber ausgegeben, was der Befehl tut.

-d  zeigt den Namen des Standardgeräts an.

-a on|1|off|0
    steuert den automatischen Auswurfmodus, der von einigen Geräten unterstützt wird. Wenn dies aktiviert ist, wird das Laufwerk automatisch ausgeworfen, wenn das Gerät geschlossen ist.

-c <Fach>
    wählt ein CD-Fach eines über ATAPI-IDE angeschlossenen CD-Wechslers aus. Das CD-ROM-Laufwerk darf nicht in Benutzung sein (eingehängte Daten-CD oder beim Abspielen einer Musik-CD), sonst funktioniert der Wechsel nicht. Bitte beachten Sie auch, dass das erste Fach des Wechslers mit 0 bezeichnet wird, nicht mit 1.

-i on|1|off|0
    steuert die Sperrung des Hardware-Auswurfknopfs. Wenn dies aktiviert ist, wird das Gerät beim Drücken des Knopfs nicht ausgeworfen. Dies ist nützlich, wenn Sie einen Laptop in einer Tasche oder einem Koffer transportieren und kein Auswerfen auslösen wollen, wenn der Knopf unabsichtlich gedrückt wird.

-t  sendet einen Befehl zum Schließen der Schublade an das angegebene CD-Laufwerk. Dieser Befehl wird nicht von allen Laufwerken unterstützt.

-T  sendet einen Befehl zum Schließen der Schublade an das angegebene CD-Laufwerk, sofern es geöffnet ist, und einen Befehl zum Öffnen der Schublade, wenn es geschlossen ist. Dieser Befehl wird nicht von allen Laufwerken unterstützt, da der oben genannte CD-ROM-Schließen-Befehl verwendet wird.

-x <Geschwindigkeit>
    übergibt einen Befehl zur Auswahl der Geschwindigkeit an das CD-ROM-Laufwerk. Das Argument Geschwindigkeit ist eine Zahl, welche die gewünschte Geschwindigkeit angibt (z.B. 8 für die 8-fache Geschwindigkeit), oder 0 für die maximale Datenübertragungsrate. Dieser Befehl wird nicht von allen Laufwerken unterstützt, und Sie können nur Geschwindigkeiten angeben, zu denen das Laufwerk fähig ist. Jedes Mal beim Wechsel des Mediums wird diese Option zurückgesetzt. Diese Option kann allein oder zusammen mit den Optionen -t und -c verwendet werden.

-X  versucht, die verfügbaren Geschwindigkeiten des CD-ROM-Laufwerks zu erkennen. Die Ausgabe ist eine Liste der Geschwindigkeiten, die als Argument für die Option -x verwendet werden können. Dies funktioniert nur mit Linux 2.6.13 oder neuer, auf früheren Versionen wird nur die maximale Geschwindigkeit gemeldet. Beachten Sie auch, dass einige Laufwerke die Geschwindigkeiten nicht korrekt melden könnten und diese Option daher mit ihnen nicht funktioniert.

-n  zeigt das ausgewählte Gerät an, führt aber keine Aktion aus.

-r  gibt an, dass das Laufwerk mit CD-ROM-Auswurfbefehl ausgeworfen werden soll.

-s  gibt an, dass das Laufwerk mit SCSI-Befehlen ausgeworfen werden soll.

-f  gibt an, dass das Laufwerk mit dem Befehl zum Auswerfen einer Diskette ausgeworfen werden soll.

-q  gibt an, dass das Laufwerk mit einem Offline-Befehl für Bandlaufwerke ausgeworfen werden soll.

-p  ermöglicht Ihnen, /proc/mounts anstelle von /etc/mtab zu verwenden. Außerdem wird die Option -n an umount(8) übergeben.

-m  ermöglicht das Aushängen mittels Gerätetreibern, die Wechselmedien automatisch einhängen und die daher immer mit mount(8) eingehängt werden müssen. Diese Option weist eject an, nicht zu versuchen, das angegebene Gerät auszuhängen, selbst wenn es entsprechend /etc/mtab oder /proc/mounts eingehängt ist.

-V  zeigt Versionsinformationen an und beendet das Programm.

LANGE OPTIONEN
Alle Optionen haben korrespondierende lange Namen, die nachfolgend aufgelistet sind. Die langen Namen können abgekürzt werden, solange sie dabei eindeutig bleiben.

-h --help
-v --verbose
-d --default
-a --auto
-c --changerslot
-t --trayclose
-T --traytoggle
-x --cdspeed
-X --listspeed
-n --noop
-r --cdrom
-s --scsi
-f --floppy
-q --tape
-V --version
-p --proc
-m --no-unmount

BEISPIELE

Das Standardgerät auswerfen:

    eject

Ein Gerät oder einen Einhängepunkt namens cdrom auswerfen:

    eject cdrom

Anhand des Gerätenamens aushängen:

    eject /dev/cdrom

Anhand des Einhängepunkts auswerfen:

    eject /mnt/cdrom/

Das vierte IDE-Gerät auswerfen:

    eject hdd

Das erste SCSI-Gerät auswerfen:

    eject sda

Anhand des SCSKI-Partitionsnamens auswerfen (z.B. ein ZIP-Laufwerk):

    eject sda4

Die fünfte Disc aus einem Wechsler auswerfen:

    eject -v -c4 /dev/cdrom

Das automatische Auswerfen eines SoundBlaster CD-ROM-Laufwerks aktivieren:

    eject -a on /dev/sbpcd

EXIT-STATUS

Bei einer erfolgreichen Aktion wird 0 zurückgegeben. Wenn die Aktion fehlgeschlagen ist oder die Befehlssyntax ungültig war, wird 1 zurückgegeben.

ANMERKUNGEN

Der Befehl eject funktioniert nur mit Geräten, die eine oder mehrere der vier Auswurfmethoden unterstützen. Das trifft auf die meisten CD-ROM-Laufwerke (IDE, SCSI und proprietär), einige SCSI-Bandlaufwerke, JAZ-Laufwerke, ZIP-Laufwerke (Parallelport-, SCSI- und IDE-Versionen) und LS120-Wechseldisketten zu. Benutzer haben auch über die erfolgreiche Nutzung bei Diskettenlaufwerken auf Sun SPARC and Apple Macintosh-Systemen berichtet. Falls eject nicht funktioniert, beruht das zumeist auf einer Einschränkung des Kerneltreibers für das Gerät und nicht auf dem Programm eject selbst.

Die Optionen -r, -s, -f und -q ermöglichen die Auswahl der Methode zum Auswerfen. Dabei kann mehr als eine Methode angegeben werden. Falls keine der Optionen angegeben wird, werden alle vier versucht (funktioniert in den meisten Fällen gut).

eject könnte nicht immer in der Lage sein, zu ermitteln, ob das Gerät eingehängt ist (z.B. wenn es verschiedene Namen hat). Wenn der Gerätename ein symbolischer Link ist, folgt eject dem Link und verwendet das Gerät, auf das der Link zeigt.

Falls eject ermittelt, dass das Gerät mehrere Partitionen haben kann, versucht es, vor dem Auswerfen alle eingehängten Partitionen des Geräts auszuhängen (siehe auch --no-partitions-unmount). Wenn das Aushängen fehlschlägt, versucht das Programm nicht, das Medium auszuwerfen.

Sie können eine Audio-CD auswerfen. Einige CD-ROM-Laufwerke verweigern das Öffnen der Schublade, wenn das Laufwerk leer ist. Außerdem unterstützen einige Laufwerke den Befehl zum Schließen der Schublade nicht.

Wenn die Funktion zum automatischen Auswerfen aktiviert ist, wird das Gerät immer nach dem Ausführen dieses Befehls ausgeworfen. Der automatische Auswurfmodus wird nicht von allen CD-ROM-Treibern des Linux-Kernels unterstützt. Es gibt keine Möglichkeit, den Status des automatischen Auswurfmodus herauszufinden.

Sie müssen über die entsprechenden Rechte verfügen, um auf die Gerätedateien zugreifen zu können. Die Ausführung mit Root-Rechten ist für das Auswerfen einiger Geräte erforderlich (zum Beispiel von SCSI-Geräten).

Die zum Auffinden eines Gerätes verwendete Heuristik anhand des Namens arbeitet wie folgt: Wenn dem Namen ein Schrägstrich angehängt ist, wird dieser entfernt (um Dateinamen zu unterstützen, wie sie durch die Dateinamenvervollständigung der Shell erzeugt werden). Wenn der Name mit einem ».« oder einem »/« beginnt, wird versucht, es als Gerätedatei oder Einhängepunkt zu interpretieren und zu öffnen. Sollte dies fehlschlagen, wird versucht, dem Namen »/dev/«, »/media/«, »/mnt/«, »/dev/cdroms«, »/dev/rdsk/«, »/dev/dsk/« und zum Schluss »./« voranzustellen, so lange, bis die Gerätedatei oder der Einhängepunkt gefunden wurde und geöffnet werden kann. Sollte auch dies fehlschlagen, wird in der Datei /etc/fstab nach Einhängepunkten der aktuell nicht eingehängten Geräte gesucht.

Es wird empfohlen, symbolische Links wie /dev/cdrom oder /dev/zip anzulegen, so dass eject die entsprechenden Geräte anhand einfach zu merkender Namen ermitteln kann.

Um Tipparbeit zu sparen, können Sie einen Shell-Alias für die Auswurfoptionen für Ihre bestimmte Umgebung erstellen.

AUTOR
Eject wurde von Jeff Tranter (tranter@pobox.com) geschrieben und wird unter den Bedingungen der GNU General Public License veröffentlicht. In der Datei COPYING und in den Anmerkungen im Quellcode finden Sie weitere Details.

Die Option -x wurde von Nobuyuki Tsuchimura (tutimura@nn.iij4u.or.jp) unter Mitwirkung von Roland Krivanek (krivanek@fmph.uniba.sk) und seinem cdrom_speed-Befehl hinzugefügt.

Die Option -T wurde von Sybren Stuvel (sybren@thirdtower.com) hinzugefügt, mit einem großen Dank an Benjamin Schwenk (benjaminschwenk@yahoo.de).

Die Option -X wurde von Eric Piel (Eric.Piel@tremplin-utc.net) hinzugefügt.

SIEHE AUCH

mount(2), umount(2), mount(8), umount(8)
/usr/src/linux/Documentation/cdrom/

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.